Subject: Re: [JGIT PATCH] 1/2 : (reworked) Externalizable/Serializable Items

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 20 Feb 2009 12:32:15 -0800

Nigel Magnay <[email-masked]> wrote:
> On Wed, Feb 18, 2009 at 4:30 PM, Shawn O. Pearce <[email-masked]>wrote:
> 
> > Nigel Magnay <[email-masked]> wrote:
> > > +public class ObjectId extends AnyObjectId implements Serializable {
> >
> > We should define our own serialVersionUID:
> >
> >  private static final long serialVersionUID = 1L;
> >
> > is good enough to make Java happy.
> >
> 
> I'll re-roll. Actually both that and the whitespace damage I'm partially
> blaming on eclipse. Eclipse curiously removes the warning to declare
> serialVersionUID if you declare both writeObject and readObject - that's
> wrong!

Yikes.  What a nice feature.
 
> Also the formatting came from .settings/org.eclipse.core.resources.prefs
> which has a tab policy of "Tabs only" which has overridden my environment
> setting of spaces-only.
>
> I can modify it to spaces only - but the comment in 9268ced9d38 talks about
> spaces-per-tab..?

Oh, yea, my bad.

We prefer tabs, and only tabs, and we only indent the leading part of
the line, we never try to "line up" columns of variables (for example).

I guess there was a mixture here.  Not sure why.  Sometimes I've
seen Eclipse not immediately honor the per-project settings files.
Closing or deleting and re-importing the project usually fixes it,
but not always.  :-|

-- 
Shawn.